org.crosswire.common.swing

## Class EdgeBorder

- java.lang.Object
- - org.crosswire.common.swing.EdgeBorder

- All Implemented Interfaces:
    Border, SwingConstants

      public class EdgeBorder
      extends Object
      implements Border, SwingConstants

  EdgeBorder.
  Author:
    Joe Walker, Claude Duguay Copyright (c) 1998
  See Also:
    `The GNU General Public License for details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `edge` The edge to draw
    `protected int` | `lift` The raised/lowered state
    `static int` | `LOWERED` A lowered border
    `static int` | `RAISED` A raised border

    - ### Fields inherited from interface javax.swing.SwingConstants

      `BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdgeBorder()` Create an EdgeBorder showing a northern border
    `EdgeBorder(int edge)` Create an EdgeBorder with a selected edge

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Insets` | `getBorderInsets(Component component)` Get the insets for a given component
    `boolean` | `isBorderOpaque()` Is this border opaque
    `void` | `paintBorder(Component component, Graphics g, int x, int y, int w, int h)` Actually go and paint the border

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RAISED

          public static final int RAISED

      A raised border
      See Also:
        Constant Field Values

    - #### LOWERED

          public static final int LOWERED

      A lowered border
      See Also:
        Constant Field Values

    - #### edge

          protected int edge

      The edge to draw

    - #### lift

          protected int lift

      The raised/lowered state

  - ### Constructor Detail

    - #### EdgeBorder

          public EdgeBorder()

      Create an EdgeBorder showing a northern border

    - #### EdgeBorder

          public EdgeBorder(int edge)

      Create an EdgeBorder with a selected edge
      Parameters:
        `edge` - The edge to display

  - ### Method Detail

    - #### getBorderInsets

          public Insets getBorderInsets(Component component)

      Get the insets for a given component
      Specified by:
        `getBorderInsets` in interface `Border`

    - #### isBorderOpaque

          public boolean isBorderOpaque()

      Is this border opaque
      Specified by:
        `isBorderOpaque` in interface `Border`
      Returns:
        true/false if the border if opaque

    - #### paintBorder

          public void paintBorder(Component component,
                         Graphics g,
                         int x,
                         int y,
                         int w,
                         int h)

      Actually go and paint the border
      Specified by:
        `paintBorder` in interface `Border`